package com.yunniu.farming.webadmin.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunniu.farming.webadmin.model.GroupBuy;
import com.yunniu.farming.webadmin.model.GroupOrder;
import com.yunniu.farming.webadmin.model.OrderMain;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author zyf
 * @date 2023/5/16
 * @apiNote
 */
@Mapper
public interface GroupOrderDao  extends BaseMapper<GroupOrder> {

    List<GroupOrder> findPageList(GroupOrder item);

    GroupOrder detailById(Long id);

    List<GroupOrder> getList();

    GroupBuy getGroupBuy(Long groupOrderId);

    int updateStatus(Long groupOrderId);

    OrderMain getBySdef1(String outRefundNo);
}
